# Get Things List

## Returns list of things

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/things`

#### Path Parameters

| Name              | Type   | Description |
| ----------------- | ------ | ----------- |
| THING\_NAME\_SORT | String | Thing Name  |

#### Headers

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| YOUR\_TOKEN<mark style="color:red;">\*</mark> | String | Your authentication token |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
[
  {
    "Type": "string",
    "PricePlanInnerId": "string",
    "ThingId": "string",
    "CustomerId": "string",
    "ThingName": "string",
    "ThingDescription": "string",
    "ThingsGroupId": "string",
    "ExternalUniqueId": "string",
    "ExternalUniqueType": "string",
    "ExternalBatchId": "string",
    "BatchId": "string",
    "SubProfId": "string",
    "NetworkProviderId": "string",
    "RoamingPolicyId": "string",
    "GeoDistance": 0,
    "ThingTag": [
      "string"
    ],
    "Latitude": 0,
    "Longitude": 0,
    "FencingRadius": 0,
    "UnavailabilityTime": "2022-05-30T10:00:20.823Z",
    "IPv4": "string",
    "IPv4PoolId": "string",
    "IPv4AllocationPolicy": "string",
    "IPv4Lock": true,
    "IPv6": "string",
    "IPv6PoolId": "string",
    "IPv6AllocationPolicy": "string",
    "IPv6Lock": true,
    "FwBlockAttempts": 0,
    "StreetAddress": "string",
    "Remarks": "string",
    "hss": {
      "serviceSelection": "string",
      "pdnType": 0,
      "vplmnDynamicAddressAllowed": 0,
      "PDNgwAllocationType": 0,
      "ambr": {
        "maxRequestedBandwidthUL": 0,
        "maxRequestedBandwidthDL": 0
      },
      "epsQos": {
        "qosClassIden": 0,
        "priorityLevel": 0,
        "preemptionCapability": 0,
        "preemptionVulnerability": 0
      }
    },
    "State": "string",
    "BillingState": "string",
    "DateCreated": 0,
    "DateModified": 0,
    "DateAssignedToCustomer": 0,
    "IMEI": "string",
    "MasterIMEI": "string",
    "LockMasterImei": true,
    "IMSI": "string",
    "MSISDN": "string",
    "VcsAccountId": "string",
    "LastLocation": {
      "Timestamp": 0,
      "Type": "string",
      "Latitude": 0,
      "MCC": "string",
      "MNC": "string",
      "Longitude": 0,
      "AccuracyInKM": 0,
      "IMSI": "string",
      "IsLocationTypeAccurate": true,
      "CellId": 0,
      "Lac": 0
    },
    "LastAccuracyLocation": {
      "Timestamp": 0,
      "Type": "string",
      "Latitude": 0,
      "MCC": "string",
      "MNC": "string",
      "Longitude": 0,
      "AccuracyInKM": 0,
      "IMSI": "string",
      "IsLocationTypeAccurate": true,
      "CellId": 0,
      "Lac": 0
    },
    "RoamingRestrictions": [
      {
        "BlockRoaming": true,
        "BlockSMS": true,
        "BlockMOVoiceFlag": true,
        "BlockMTVoiceFlag": true,
        "DataRestrictionByterateLimit": "string",
        "MNOId": "string",
        "Preferred": true,
        "RoamingPartnerId": 0,
        "RoamingPlanId": "string",
        "ByterateFlag": true,
        "BlockMOSMSFlag": true
      }
    ],
    "Block": {
      "Data2G": true,
      "Data": true,
      "LTEData": true,
      "Data5G": true,
      "SMS_MO": true,
      "SMS_MT": true,
      "Supplementary_Services": true,
      "Voice_International": true,
      "Voice_International_Exc_Home": true,
      "Voice_MO": true,
      "Voice_MT": true,
      "Voice_Premium": true
    },
    "ActualUsage": {
      "MO_SMS_CDR_": 0,
      "Data_": 0,
      "Voice_": 0,
      "Alarm": 0
    },
    "APN": {
      "ShortId": "string",
      "DateModified": "string",
      "Name": "string",
      "ApnId": "string",
      "Description": "string",
      "IpRange": "string",
      "Ipv6Range": "string",
      "Type": "string",
      "InterfaceName": "string",
      "ServedByJpU": true,
      "DynamicIPAddress": true,
      "pdpsub": {
        "Delay-Class": 0,
        "Mean-Throughput": 0,
        "Pdp-ContextId": 0,
        "Peak-Throughput": 0,
        "Precedence-Class": 0,
        "Reliability-Class": 0,
        "PreferredDataMode": 0,
        "NonIpDataDelvMechanism": 0,
        "NonIPPDNTypeIndicator": 0,
        "qos": {
          "Delivery-Of-Erroneous-SDU": 0,
          "Delivery-Order": 0,
          "Guaranteed-Bit-Rate-For-DownLink": 0,
          "Guaranteed-Bit-Rate-For-Uplink": 0,
          "Guaranteed-Bit-Rate-ForDownlink(extended)": 0,
          "Maximum-Bit-Rate-For-Downlink": 0,
          "Maximum-Bit-Rate-For-Downlink(extended)": 0,
          "Maximum-Bit-Rate-For-Uplink": 0,
          "Maximum-SDU-Size": 0,
          "Priority": 0,
          "Residual-BER": 0,
          "SDU-Error-Ratio": 0,
          "Signaling-Indication": 0,
          "Source-Statistics-Descriptor": 0,
          "Traffic-Class": 0,
          "Traffic-Handling-Priority": 0,
          "Transfer-Delay": 0
        }
      }
    },
    "cas": "string"
  }
]

```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Server Error" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Example using **cURL**:

```bash
curl -X GET \
     --url "https://console.monogoto.io/things/" \
     -H "accept: application/json" \
     -H "Authorization: Bearer {YOUR_TOKEN}"
```

Example of received result:

```json
[
  {
    "ActivationChargeFlag": false,
    "ActiveMobileSubscriber": "123456789101112",
    "AddressSignal": "370611111111",
    "BatchId": "Tutorial SIM",
    "Block": {
      "Data": false,
      "LTEData": false,
      "SMS_MO": false,
      "SMS_MO_except_home_country": false,
      "SMS_MT": false
    },
    "CellId": 654321,
    "CreatedBy": "UserId_896468g2-5115-4g57-926a-13f0945434c",
    "Curr_Latitude": null,
    "Curr_Longitude": null,
    "CustomerId": "cid_ecs1d3a5-f5e62a1-fe8af468wf",
    "Data": 111475219,
    "DateAssignedToCustomer": 1596219199006,
    "DateCreated": 1596219199008,
    "DateModified": 1613145549221,
    "DeletionDate": null,
    "ExpirationDate": null,
    "ExternalBatchId": "Vidas SIM",
    "ExternalHLRId": null,
    "ExternalUniqueId": "8912372646888991",
    "ExternalUniqueType": "ICCID",
    "FencingRadius": 0,
    "FwBlockAttempts": null,
    "GeoDistance": 0,
    "IMEI": "86123456789101",
    "IPs": [],
    "Lac": 123,
    "LastAccuracyLocation": {},
    "LastLocation": {
      "AccuracyInKM": 123.3429066960741,
      "IMSI": "123456789101112",
      "IsLocationTypeAccurate": false,
      "Latitude": 50.169438,
      "Longitude": 5.881275,
      "MCC": 246,
      "MNC": 3,
      "MNOId": "MNOId_61486037-6939-4ccb-88be-601101bf8654f",
      "Timestamp": 1613030358667,
      "Type": "Point"
    },
  
...
```

### Filters

You may use various filters to show only specific Things.\
Example:

```bash
curl -X GET \
    --url "https://console.monogoto.io/things?filterBy%5BThingName%5D={THING_NAME}&filterBy%5BThingsGroupName%5D={THING_GROUP_NAME}&filterBy%5BNetworks%5D={MONOGOTO_NETWORK_NAME}>&filterBy%5BActiveMobileSubscriber%5D={ACTIVE_IMSI}&filterBy%5BIMEI%5D={IMSI}&filterBy%5BMSISDN%5D={THING_MSISDN}&filterBy%5BCellId%5D={CELLID}&filterBy%5BLac%5D={LAC}&filterBy%5BMnoName%5D={MNO_NAME}&filterBy%5BExternalUniqueId%5D={THING_ICCID}&State={THING_STATE}&filterBy%5BThingDescription%5D={THING_DESCRIPTION}s&filterBy%5BTags%5D%5B0%5D={TAG_ID}&filterBy%5BTags%5D%5B1%5D={TAG_ID_1}&filterBy%5BTags%5D%5B2%5D={TAG_ID_2}&filterBy%5BTags%5D%5B3%5D={TAG_ID_3}&sortBy%5BThingName%5D={THING_NAME_SORT}&limit={RESULTS_LIMIT}&offset={RESULTS_OFFSET}" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {YOUR_TOKEN}"
```

{% hint style="info" %}
**Variables:**

* **{THING\_NAME\_SORT}** - replace with how results should be sorted by Thing name (DESC or ASC)  \
  &#x20;    **DESC** – sort results by Thing name in descending order  \
  &#x20;    **ASC** – sort results by Thing name in ascending order
* **{RESULTS\_LIMIT}** - replace with numerical value showing how many results to display (default – 10, max - 50). To see more results, please use: **{RESULTS\_OFFSET}**
* **{RESULTS\_OFFSET}** - replace with numerical value the offset amount. In short this entered amount will be skipped from the first results. Example: when using 50 in offset you will see results starting with 51-st result. If you do not want to make offset, just write 0
* **{THING\_NAME}** - replace with thing name
* **{THING\_GROUP\_NAME}** - replace with Thing Group name
* **{MONOGOTO\_NETWORK\_NAME}** - replace with network you have assigned for your SIM cards to use
* **{ACTIVE\_IMSI}** - replace with IMSI of a SIM card that was used previously, thus having an assigned IMSI shown in the Thing Menu. Usually, it means that the SIM card is currently in use or was recently in use
* **{IMSI}** - replace with IMSI of a SIM card. This SIM does not need to be active
* **{THING\_MSISDN}** - replace with Thing MSISDN (phone number)
* **{CELLID}** - replace with a CellID
* **{LAC}** - replace with LAC
* **{MNO\_NAME}** - replace with MNO (roaming partner/mobile network) name
* **{THING\_ICCID}** - replace with your Monogoto Thing ICCID number
* **{THING\_STATE}** - replace with the Thing state (ACTIVE or SUSPENDED)  \
  &#x20;    **ACTIVE** - SIM card is activated and can be used.  \
  &#x20;    **SUSPENDED** - SIM card is suspended. Can not be used until status is changed to ACTIVE
* **{THING\_DESCRIPTION}** - replace with Thing description
* **{THING\_TAG}** - replace with TAGID that is assigned to this Thing
* **{THING\_TAG\_1}** - replace with additional TAGID that is assigned to this Thing, if necessary
* **{THING\_TAG\_2}** - replace with additional TAGID that is assigned to this Thing, if necessary
* **{THING\_TAG\_3}** - replace with additional TAGID that is assigned to this Thing, if necessary
  {% endhint %}

Example of request showing 50 Things with 0 offset in descending order by Thing name:

```bash
curl -X GET \
    --url "https://console.monogoto.io/things?sortBy%5BThingName%5D=DESC&limit=50&offset=0" 
    -H "accept: application/json" 
    -H "Authorization: Bearer {YOUR_TOKEN}"
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/things" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/developer/api/things/get-things-lists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
